package hamiltonianGraph;

public class Example {

    private Controller controller;

    public  Example(Controller controller) {
            this.controller = controller;
    }

    /* Úprava příkladu
    - controller.setVertexCount(6); - nastaví počet vertexů grafu,
    - controller.initTables(); - nastavuje program pro vložení příkladu, musí být volán
    - controller.vertexList.add(new Vertex(150,150)); - vytvoří nový vertex se souřadnicemi,
     které jsou v závorce
        počet vložených vertexů musí přesně odpovídat, počtu vertexů, které byly nastaveny výše
    - controller.path[0][1] = 1; - vytvoří hranu, zde mezi nultým a prvním vertexem, hrana musí
    být vytvořena i v opačném směru
     */

    public void getExample1() {
        controller.setVertexCount(6);
        controller.initTables();
        controller.vertexList.add(new Vertex(150,150));
        controller.vertexList.add(new Vertex(260,120));
        controller.vertexList.add(new Vertex(210,220));
        controller.vertexList.add(new Vertex(350,180));
        controller.vertexList.add(new Vertex(400,260));
        controller.vertexList.add(new Vertex(140,300));

        controller.path[0][1] = 1;
        controller.path[1][2] = 1;
        controller.path[2][3] = 1;
        controller.path[3][0] = 1;
        controller.path[3][4] = 1;
        controller.path[5][4] = 1;
        controller.path[5][2] = 1;

        controller.path[1][0] = 1;
        controller.path[2][1] = 1;
        controller.path[3][2] = 1;
        controller.path[0][3] = 1;
        controller.path[4][3] = 1;
        controller.path[4][5] = 1;
        controller.path[2][5] = 1;

    }

    public void getExample2() {
        controller.setVertexCount(5);
        controller.initTables();
        controller.vertexList.add(new Vertex(160,375));
        controller.vertexList.add(new Vertex(120,240));
        controller.vertexList.add(new Vertex(250,140));
        controller.vertexList.add(new Vertex(380,240));
        controller.vertexList.add(new Vertex(340,375));


        controller.path[0][1] = 1;
        controller.path[0][2] = 1;
        controller.path[0][3] = 1;
        controller.path[0][4] = 1;
        controller.path[1][2] = 1;
        controller.path[1][3] = 1;
        controller.path[1][4] = 1;
        controller.path[2][3] = 1;
        controller.path[2][4] = 1;
        controller.path[3][4] = 1;

        controller.path[1][0] = 1;
        controller.path[2][0] = 1;
        controller.path[3][0] = 1;
        controller.path[4][0] = 1;
        controller.path[2][1] = 1;
        controller.path[3][1] = 1;
        controller.path[4][1] = 1;
        controller.path[3][2] = 1;
        controller.path[4][2] = 1;
        controller.path[4][3] = 1;

    }

    public void getExample3() {
        controller.setVertexCount(8);
        controller.initTables();
        controller.vertexList.add(new Vertex(50,50));
        controller.vertexList.add(new Vertex(380,70));
        controller.vertexList.add(new Vertex(190,100));
        controller.vertexList.add(new Vertex(200,270));
        controller.vertexList.add(new Vertex(350,210));
        controller.vertexList.add(new Vertex(45,200));
        controller.vertexList.add(new Vertex(60,335));
        controller.vertexList.add(new Vertex(340,320));

        controller.path[0][1] = 1;
        controller.path[1][2] = 1;
        controller.path[2][3] = 1;
        controller.path[3][0] = 1;
        controller.path[3][4] = 1;
        controller.path[5][4] = 1;
        controller.path[5][2] = 1;
        controller.path[6][7] = 1;
        controller.path[7][2] = 1;
        controller.path[6][1] = 1;

        controller.path[1][0] = 1;
        controller.path[2][1] = 1;
        controller.path[3][2] = 1;
        controller.path[0][3] = 1;
        controller.path[4][3] = 1;
        controller.path[4][5] = 1;
        controller.path[2][5] = 1;
        controller.path[7][6] = 1;
        controller.path[2][7] = 1;
        controller.path[1][6] = 1;

    }

    public void getExample4() {
        controller.setVertexCount(7);
        controller.initTables();
        controller.vertexList.add(new Vertex(200,100));
        controller.vertexList.add(new Vertex(400,110));
        controller.vertexList.add(new Vertex(200,200));
        controller.vertexList.add(new Vertex(400,200));
        controller.vertexList.add(new Vertex(200,300));
        controller.vertexList.add(new Vertex(400,300));
        controller.vertexList.add(new Vertex(200,400));

        controller.path[0][1] = 1;
        controller.path[0][3] = 1;
        controller.path[1][2] = 1;
        controller.path[2][3] = 1;
        controller.path[2][5] = 1;
        controller.path[3][4] = 1;
        controller.path[5][4] = 1;
        controller.path[3][6] = 1;
        controller.path[5][6] = 1;

        controller.path[1][0] = 1;
        controller.path[3][0] = 1;
        controller.path[2][1] = 1;
        controller.path[3][2] = 1;
        controller.path[5][2] = 1;
        controller.path[4][5] = 1;
        controller.path[4][3] = 1;
        controller.path[6][3] = 1;
        controller.path[6][5] = 1;
    }

    public void getExample5() {
        controller.setVertexCount(8);
        controller.initTables();
        controller.vertexList.add(new Vertex(200,150));
        controller.vertexList.add(new Vertex(300,150));
        controller.vertexList.add(new Vertex(300,250));
        controller.vertexList.add(new Vertex(200,250));
        controller.vertexList.add(new Vertex(120,70));
        controller.vertexList.add(new Vertex(380,70));
        controller.vertexList.add(new Vertex(380,330));
        controller.vertexList.add(new Vertex(120,330));

        controller.path[0][1] = 1;
        controller.path[1][2] = 1;
        controller.path[2][3] = 1;
        controller.path[3][0] = 1;
        controller.path[0][4] = 1;
        controller.path[1][5] = 1;
        controller.path[2][6] = 1;
        controller.path[3][7] = 1;
        controller.path[4][7] = 1;
        controller.path[4][5] = 1;
        controller.path[5][6] = 1;
        controller.path[6][7] = 1;

        controller.path[1][0] = 1;
        controller.path[2][1] = 1;
        controller.path[3][2] = 1;
        controller.path[0][3] = 1;
        controller.path[4][0] = 1;
        controller.path[5][1] = 1;
        controller.path[6][2] = 1;
        controller.path[7][3] = 1;
        controller.path[7][4] = 1;
        controller.path[5][4] = 1;
        controller.path[6][5] = 1;
        controller.path[7][6] = 1;
    }

    public void getExample6() {
        controller.setVertexCount(10);
        controller.initTables();
        controller.vertexList.add(new Vertex(50,240));
        controller.vertexList.add(new Vertex(250,50));
        controller.vertexList.add(new Vertex(450,240));
        controller.vertexList.add(new Vertex(380,450));
        controller.vertexList.add(new Vertex(120,450));
        controller.vertexList.add(new Vertex(160,375));
        controller.vertexList.add(new Vertex(120,240));
        controller.vertexList.add(new Vertex(250,140));
        controller.vertexList.add(new Vertex(380,240));
        controller.vertexList.add(new Vertex(340,375));

        controller.path[0][1] = 1;
        controller.path[0][4] = 1;
        controller.path[0][6] = 1;
        controller.path[1][2] = 1;
        controller.path[1][7] = 1;
        controller.path[2][3] = 1;
        controller.path[2][8] = 1;
        controller.path[3][4] = 1;
        controller.path[3][9] = 1;
        controller.path[4][5] = 1;
        controller.path[5][7] = 1;
        controller.path[5][8] = 1;
        controller.path[6][8] = 1;
        controller.path[6][9] = 1;
        controller.path[7][9] = 1;

        controller.path[1][0] = 1;
        controller.path[4][0] = 1;
        controller.path[6][0] = 1;
        controller.path[2][1] = 1;
        controller.path[7][1] = 1;
        controller.path[3][2] = 1;
        controller.path[8][2] = 1;
        controller.path[4][3] = 1;
        controller.path[9][3] = 1;
        controller.path[5][4] = 1;
        controller.path[7][5] = 1;
        controller.path[8][5] = 1;
        controller.path[8][6] = 1;
        controller.path[9][6] = 1;
        controller.path[9][7] = 1;
    }

    public void getExample7() {
        controller.setVertexCount(7);
        controller.initTables();

        controller.vertexList.add(new Vertex(160,160));
        controller.vertexList.add(new Vertex(300,100));
        controller.vertexList.add(new Vertex(270,200));
        controller.vertexList.add(new Vertex(400,400));

        controller.vertexList.add(new Vertex(280,370));
        controller.vertexList.add(new Vertex(270,290));
        controller.vertexList.add(new Vertex(120,280));


        controller.path[0][1] = 1;
        controller.path[0][6] = 1;
        controller.path[1][2] = 1;
        controller.path[2][3] = 1;
        controller.path[2][5] = 1;
        controller.path[3][4] = 1;
        controller.path[4][6] = 1;
        controller.path[5][6] = 1;

        controller.path[1][0] = 1;
        controller.path[6][0] = 1;
        controller.path[2][1] = 1;
        controller.path[3][2] = 1;
        controller.path[5][2] = 1;
        controller.path[4][3] = 1;
        controller.path[6][4] = 1;
        controller.path[6][5] = 1;

    }

    public void getExample8() {
        controller.setVertexCount(8);
        controller.initTables();
        controller.vertexList.add(new Vertex(100,400));
        controller.vertexList.add(new Vertex(250,400));
        controller.vertexList.add(new Vertex(400,400));
        controller.vertexList.add(new Vertex(550,400));
        controller.vertexList.add(new Vertex(175,250));
        controller.vertexList.add(new Vertex(325,250));
        controller.vertexList.add(new Vertex(475,250));
        controller.vertexList.add(new Vertex(250,100));

        controller.path[0][1] = 1;
        controller.path[0][4] = 1;
        controller.path[1][2] = 1;
        controller.path[1][4] = 1;
        controller.path[1][5] = 1;
        controller.path[2][3] = 1;
        controller.path[2][5] = 1;
        controller.path[4][5] = 1;
        controller.path[2][6] = 1;
        controller.path[3][6] = 1;
        controller.path[4][7] = 1;
        controller.path[5][7] = 1;

        controller.path[1][0] = 1;
        controller.path[4][0] = 1;
        controller.path[2][1] = 1;
        controller.path[4][1] = 1;
        controller.path[5][1] = 1;
        controller.path[3][2] = 1;
        controller.path[5][2] = 1;
        controller.path[5][4] = 1;
        controller.path[6][2] = 1;
        controller.path[6][3] = 1;
        controller.path[7][4] = 1;
        controller.path[7][5] = 1;
    }
}
